Bug 1139052 - totem and gnome-maps crash with nvidia drivers
Summary: totem and gnome-maps crash with nvidia drivers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: clutter-gtk
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-07 20:35 UTC by paolo borelli
Modified: 2015-07-10 19:18 UTC (History)
4 users (show)

Fixed In Version: gnome-photos-3.13.91-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-10 02:46:13 UTC


Attachments (Terms of Use)

Description paolo borelli 2014-09-07 20:35:35 UTC
When using nvidia drivers, totem, gnome-maps, and all clutter-gtk applications crash at startup with 

(gnome-maps:27336): Gdk-ERROR **: The program 'gnome-maps' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadMatch (invalid parameter attributes)'.
  (Details: serial 394 error_code 8 request_code 154 (GLX) minor_code 31)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the GDK_SYNCHRONIZE environment
   variable to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Trace/breakpoint trap (core dumped)


Applying https://git.gnome.org/browse/clutter-gtk/commit/?id=a2a62570dd038a459326e3d56cb593af97e2f6f3 fixes the problem

Comment 1 Fedora Update System 2014-09-07 21:07:41 UTC
gnome-photos-3.13.91-1.fc21, tracker-1.1.4-2.fc21, caribou-0.4.14-2.fc21, clutter-gtk-1.5.4-2.fc21, adwaita-icon-theme-3.13.91-1.fc21, baobab-3.13.91-1.fc21, bijiben-3.13.91-1.fc21, control-center-3.13.91-1.fc21, eog-plugins-3.13.1-2.fc21, epiphany-3.13.90-1.fc21, evince-3.13.91-1.fc21, file-roller-3.13.91-1.fc21, gdk-pixbuf2-2.31.1-1.fc21, gdm-3.13.91-2.fc21, gjs-1.41.91-1.fc21, glib2-2.41.4-3.fc21, gnome-boxes-3.13.91-1.fc21, gnome-clocks-3.13.91-1.fc21, gnome-contacts-3.13.91-1.fc21, gnome-desktop3-3.13.91-1.fc21, gnome-devel-docs-3.13.91-1.fc21, gnome-documents-3.13.91-3.fc21, gnome-initial-setup-3.13.5-1.fc21, gnome-logs-3.13.91-1.fc21, gnome-mahjongg-3.13.91-1.fc21, gnome-maps-3.13.91-1.fc21, gnome-mines-3.13.91-1.fc21, gnome-nibbles-3.13.91-1.fc21, gnome-online-accounts-3.13.91-1.fc21, gnome-online-miners-3.13.91-1.fc21, gnome-packagekit-3.13.91-1.fc21, gnome-screenshot-3.13.90-2.gitcbdd3f5.fc21, gnome-settings-daemon-3.13.91-1.fc21, gnome-shell-3.13.91-1.fc21, gnome-shell-extensions-3.13.91-1.fc21, gnome-software-3.13.91-1.fc21, gnome-sound-recorder-3.13.91-1.fc21, gnome-system-monitor-3.13.91-1.fc21, gnome-tetravex-3.13.91-1.fc21, gnome-themes-standard-3.13.90-2.fc21, gnome-user-docs-3.13.91-1.fc21, gnome-weather-3.13.91-1.fc21, gobject-introspection-1.41.91-1.fc21, gsettings-desktop-schemas-3.13.92-1.fc21, gtk2-2.24.24-3.fc21, gtk3-3.13.8-1.fc21, gvfs-1.21.91-1.fc21, iagno-3.13.91-1.fc21, libappstream-glib-0.2.6-1.fc21, libgweather-3.13.91-1.fc21, libhif-0.1.3-1.fc21, libwnck3-3.4.9-1.fc21, lightsoff-3.13.91-1.fc21, mutter-3.13.91-1.fc21, nautilus-3.13.91-1.fc21, network-manager-applet-0.9.9.0-15.git20140424.fc21, orca-3.13.91-1.fc21, PackageKit-0.9.5-1.fc21, pango-1.36.7-1.fc21, pygobject3-3.13.91-1.fc21, quadrapassel-3.13.91-1.fc21, shared-mime-info-1.3-14.fc21, simple-scan-3.13.91-1.fc21, sound-juicer-3.13.91-1.fc21, tali-3.13.91-1.fc21, totem-3.13.92-1.fc21, vala-0.25.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/FEDORA-2014-10210/adwaita-icon-theme-3.13.91-1.fc21,baobab-3.13.91-1.fc21,bijiben-3.13.91-1.fc21,caribou-0.4.14-2.fc21,control-center-3.13.91-1.fc21,eog-plugins-3.13.1-2.fc21,epiphany-3.13.90-1.fc21,evince-3.13.91-1.fc21,file-roller-3.13.91-1.fc21,gdk-pixbuf2-2.31.1-1.fc21,gdm-3.13.91-2.fc21,gjs-1.41.91-1.fc21,glib2-2.41.4-3.fc21,gnome-boxes-3.13.91-1.fc21,gnome-clocks-3.13.91-1.fc21,gnome-contacts-3.13.91-1.fc21,gnome-desktop3-3.13.91-1.fc21,gnome-devel-docs-3.13.91-1.fc21,gnome-documents-3.13.91-3.fc21,gnome-initial-setup-3.13.5-1.fc21,gnome-logs-3.13.91-1.fc21,gnome-mahjongg-3.13.91-1.fc21,gnome-maps-3.13.91-1.fc21,gnome-mines-3.13.91-1.fc21,gnome-nibbles-3.13.91-1.fc21,gnome-online-accounts-3.13.91-1.fc21,gnome-online-miners-3.13.91-1.fc21,gnome-packagekit-3.13.91-1.fc21,gnome-screenshot-3.13.90-2.gitcbdd3f5.fc21,gnome-settings-daemon-3.13.91-1.fc21,gnome-shell-3.13.91-1.fc21,gnome-shell-extensions-3.13.91-1.fc21,gnome-software-3.13.91-1.fc21,gnome-sound-recorder-3.13.91-1.fc21,gnome-system-monitor-3.13.91-1.fc21,gnome-tetravex-3.13.91-1.fc21,gnome-themes-standard-3.13.90-2.fc21,gnome-user-docs-3.13.91-1.fc21,gnome-weather-3.13.91-1.fc21,gobject-introspection-1.41.91-1.fc21,gsettings-desktop-schemas-3.13.92-1.fc21,gtk2-2.24.24-3.fc21,gtk3-3.13.8-1.fc21,gvfs-1.21.91-1.fc21,iagno-3.13.91-1.fc21,libappstream-glib-0.2.6-1.fc21,libgweather-3.13.91-1.fc21,libhif-0.1.3-1.fc21,libwnck3-3.4.9-1.fc21,lightsoff-3.13.91-1.fc21,mutter-3.13.91-1.fc21,nautilus-3.13.91-1.fc21,network-manager-applet-0.9.9.0-15.git20140424.fc21,orca-3.13.91-1.fc21,PackageKit-0.9.5-1.fc21,pango-1.36.7-1.fc21,pygobject3-3.13.91-1.fc21,quadrapassel-3.13.91-1.fc21,shared-mime-info-1.3-14.fc21,simple-scan-3.13.91-1.fc21,sound-juicer-3.13.91-1.fc21,tali-3.13.91-1.fc21,totem-3.13.92-1.fc21,vala-0.25.3-1.fc21,gnome-photos-3.13.91-1.fc21,tracker-1.1.4-2.fc21,clutter-gtk-1.5.4-2.fc21

Comment 2 Fedora Update System 2014-09-08 16:09:05 UTC
Package gnome-photos-3.13.91-1.fc21, tracker-1.1.4-2.fc21, caribou-0.4.14-2.fc21, clutter-gtk-1.5.4-2.fc21, adwaita-icon-theme-3.13.91-1.fc21, baobab-3.13.91-1.fc21, bijiben-3.13.91-1.fc21, control-center-3.13.91-1.fc21, eog-plugins-3.13.1-2.fc21, epiphany-3.13.90-1.fc21, evince-3.13.91-1.fc21, file-roller-3.13.91-1.fc21, gdk-pixbuf2-2.31.1-1.fc21, gdm-3.13.91-2.fc21, gjs-1.41.91-1.fc21, glib2-2.41.4-3.fc21, gnome-boxes-3.13.91-1.fc21, gnome-clocks-3.13.91-1.fc21, gnome-contacts-3.13.91-1.fc21, gnome-desktop3-3.13.91-1.fc21, gnome-devel-docs-3.13.91-1.fc21, gnome-documents-3.13.91-3.fc21, gnome-initial-setup-3.13.5-1.fc21, gnome-logs-3.13.91-1.fc21, gnome-mahjongg-3.13.91-1.fc21, gnome-maps-3.13.91-1.fc21, gnome-mines-3.13.91-1.fc21, gnome-nibbles-3.13.91-1.fc21, gnome-online-accounts-3.13.91-1.fc21, gnome-online-miners-3.13.91-1.fc21, gnome-packagekit-3.13.91-1.fc21, gnome-screenshot-3.13.90-2.gitcbdd3f5.fc21, gnome-settings-daemon-3.13.91-1.fc21, gnome-shell-3.13.91-1.fc21, gnome-shell-extensions-3.13.91-1.fc21, gnome-software-3.13.91-1.fc21, gnome-sound-recorder-3.13.91-1.fc21, gnome-system-monitor-3.13.91-1.fc21, gnome-tetravex-3.13.91-1.fc21, gnome-themes-standard-3.13.90-2.fc21, gnome-user-docs-3.13.91-1.fc21, gnome-weather-3.13.91-1.fc21, gobject-introspection-1.41.91-1.fc21, gsettings-desktop-schemas-3.13.92-1.fc21, gtk2-2.24.24-3.fc21, gtk3-3.13.8-1.fc21, gvfs-1.21.91-1.fc21, iagno-3.13.91-1.fc21, libappstream-glib-0.2.6-1.fc21, libgweather-3.13.91-1.fc21, libhif-0.1.3-1.fc21, libwnck3-3.4.9-1.fc21, lightsoff-3.13.91-1.fc21, mutter-3.13.91-1.fc21, nautilus-3.13.91-1.fc21, network-manager-applet-0.9.9.0-15.git20140424.fc21, orca-3.13.91-1.fc21, PackageKit-0.9.5-1.fc21, pango-1.36.7-1.fc21, pygobject3-3.13.91-1.fc21, quadrapassel-3.13.91-1.fc21, shared-mime-info-1.3-14.fc21, simple-scan-3.13.91-1.fc21, sound-juicer-3.13.91-1.fc21, tali-3.13.91-1.fc21, totem-3.13.92-1.fc21, vala-0.25.3-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-photos-3.13.91-1.fc21 tracker-1.1.4-2.fc21 caribou-0.4.14-2.fc21 clutter-gtk-1.5.4-2.fc21 adwaita-icon-theme-3.13.91-1.fc21 baobab-3.13.91-1.fc21 bijiben-3.13.91-1.fc21 control-center-3.13.91-1.fc21 eog-plugins-3.13.1-2.fc21 epiphany-3.13.90-1.fc21 evince-3.13.91-1.fc21 file-roller-3.13.91-1.fc21 gdk-pixbuf2-2.31.1-1.fc21 gdm-3.13.91-2.fc21 gjs-1.41.91-1.fc21 glib2-2.41.4-3.fc21 gnome-boxes-3.13.91-1.fc21 gnome-clocks-3.13.91-1.fc21 gnome-contacts-3.13.91-1.fc21 gnome-desktop3-3.13.91-1.fc21 gnome-devel-docs-3.13.91-1.fc21 gnome-documents-3.13.91-3.fc21 gnome-initial-setup-3.13.5-1.fc21 gnome-logs-3.13.91-1.fc21 gnome-mahjongg-3.13.91-1.fc21 gnome-maps-3.13.91-1.fc21 gnome-mines-3.13.91-1.fc21 gnome-nibbles-3.13.91-1.fc21 gnome-online-accounts-3.13.91-1.fc21 gnome-online-miners-3.13.91-1.fc21 gnome-packagekit-3.13.91-1.fc21 gnome-screenshot-3.13.90-2.gitcbdd3f5.fc21 gnome-settings-daemon-3.13.91-1.fc21 gnome-shell-3.13.91-1.fc21 gnome-shell-extensions-3.13.91-1.fc21 gnome-software-3.13.91-1.fc21 gnome-sound-recorder-3.13.91-1.fc21 gnome-system-monitor-3.13.91-1.fc21 gnome-tetravex-3.13.91-1.fc21 gnome-themes-standard-3.13.90-2.fc21 gnome-user-docs-3.13.91-1.fc21 gnome-weather-3.13.91-1.fc21 gobject-introspection-1.41.91-1.fc21 gsettings-desktop-schemas-3.13.92-1.fc21 gtk2-2.24.24-3.fc21 gtk3-3.13.8-1.fc21 gvfs-1.21.91-1.fc21 iagno-3.13.91-1.fc21 libappstream-glib-0.2.6-1.fc21 libgweather-3.13.91-1.fc21 libhif-0.1.3-1.fc21 libwnck3-3.4.9-1.fc21 lightsoff-3.13.91-1.fc21 mutter-3.13.91-1.fc21 nautilus-3.13.91-1.fc21 network-manager-applet-0.9.9.0-15.git20140424.fc21 orca-3.13.91-1.fc21 PackageKit-0.9.5-1.fc21 pango-1.36.7-1.fc21 pygobject3-3.13.91-1.fc21 quadrapassel-3.13.91-1.fc21 shared-mime-info-1.3-14.fc21 simple-scan-3.13.91-1.fc21 sound-juicer-3.13.91-1.fc21 tali-3.13.91-1.fc21 totem-3.13.92-1.fc21 vala-0.25.3-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10210/adwaita-icon-theme-3.13.91-1.fc21,baobab-3.13.91-1.fc21,bijiben-3.13.91-1.fc21,caribou-0.4.14-2.fc21,control-center-3.13.91-1.fc21,eog-plugins-3.13.1-2.fc21,epiphany-3.13.90-1.fc21,evince-3.13.91-1.fc21,file-roller-3.13.91-1.fc21,gdk-pixbuf2-2.31.1-1.fc21,gdm-3.13.91-2.fc21,gjs-1.41.91-1.fc21,glib2-2.41.4-3.fc21,gnome-boxes-3.13.91-1.fc21,gnome-clocks-3.13.91-1.fc21,gnome-contacts-3.13.91-1.fc21,gnome-desktop3-3.13.91-1.fc21,gnome-devel-docs-3.13.91-1.fc21,gnome-documents-3.13.91-3.fc21,gnome-initial-setup-3.13.5-1.fc21,gnome-logs-3.13.91-1.fc21,gnome-mahjongg-3.13.91-1.fc21,gnome-maps-3.13.91-1.fc21,gnome-mines-3.13.91-1.fc21,gnome-nibbles-3.13.91-1.fc21,gnome-online-accounts-3.13.91-1.fc21,gnome-online-miners-3.13.91-1.fc21,gnome-packagekit-3.13.91-1.fc21,gnome-screenshot-3.13.90-2.gitcbdd3f5.fc21,gnome-settings-daemon-3.13.91-1.fc21,gnome-shell-3.13.91-1.fc21,gnome-shell-extensions-3.13.91-1.fc21,gnome-software-3.13.91-1.fc21,gnome-sound-recorder-3.13.91-1.fc21,gnome-system-monitor-3.13.91-1.fc21,gnome-tetravex-3.13.91-1.fc21,gnome-themes-standard-3.13.90-2.fc21,gnome-user-docs-3.13.91-1.fc21,gnome-weather-3.13.91-1.fc21,gobject-introspection-1.41.91-1.fc21,gsettings-desktop-schemas-3.13.92-1.fc21,gtk2-2.24.24-3.fc21,gtk3-3.13.8-1.fc21,gvfs-1.21.91-1.fc21,iagno-3.13.91-1.fc21,libappstream-glib-0.2.6-1.fc21,libgweather-3.13.91-1.fc21,libhif-0.1.3-1.fc21,libwnck3-3.4.9-1.fc21,lightsoff-3.13.91-1.fc21,mutter-3.13.91-1.fc21,nautilus-3.13.91-1.fc21,network-manager-applet-0.9.9.0-15.git20140424.fc21,orca-3.13.91-1.fc21,PackageKit-0.9.5-1.fc21,pango-1.36.7-1.fc21,pygobject3-3.13.91-1.fc21,quadrapassel-3.13.91-1.fc21,shared-mime-info-1.3-14.fc21,simple-scan-3.13.91-1.fc21,sound-juicer-3.13.91-1.fc21,tali-3.13.91-1.fc21,totem-3.13.92-1.fc21,vala-0.25.3-1.fc21,gnome-photos-3.13.91-1.fc21,tracker-1.1.4-2.fc21,clutter-gtk-1.5.4-2.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-09-10 02:46:13 UTC
gnome-photos-3.13.91-1.fc21, tracker-1.1.4-2.fc21, caribou-0.4.14-2.fc21, clutter-gtk-1.5.4-2.fc21, adwaita-icon-theme-3.13.91-1.fc21, baobab-3.13.91-1.fc21, bijiben-3.13.91-1.fc21, control-center-3.13.91-1.fc21, eog-plugins-3.13.1-2.fc21, epiphany-3.13.90-1.fc21, evince-3.13.91-1.fc21, file-roller-3.13.91-1.fc21, gdk-pixbuf2-2.31.1-1.fc21, gdm-3.13.91-2.fc21, gjs-1.41.91-1.fc21, glib2-2.41.4-3.fc21, gnome-boxes-3.13.91-1.fc21, gnome-clocks-3.13.91-1.fc21, gnome-contacts-3.13.91-1.fc21, gnome-desktop3-3.13.91-1.fc21, gnome-devel-docs-3.13.91-1.fc21, gnome-documents-3.13.91-3.fc21, gnome-initial-setup-3.13.5-1.fc21, gnome-logs-3.13.91-1.fc21, gnome-mahjongg-3.13.91-1.fc21, gnome-maps-3.13.91-1.fc21, gnome-mines-3.13.91-1.fc21, gnome-nibbles-3.13.91-1.fc21, gnome-online-accounts-3.13.91-1.fc21, gnome-online-miners-3.13.91-1.fc21, gnome-packagekit-3.13.91-1.fc21, gnome-screenshot-3.13.90-2.gitcbdd3f5.fc21, gnome-settings-daemon-3.13.91-1.fc21, gnome-shell-3.13.91-1.fc21, gnome-shell-extensions-3.13.91-1.fc21, gnome-software-3.13.91-1.fc21, gnome-sound-recorder-3.13.91-1.fc21, gnome-system-monitor-3.13.91-1.fc21, gnome-tetravex-3.13.91-1.fc21, gnome-themes-standard-3.13.90-2.fc21, gnome-user-docs-3.13.91-1.fc21, gnome-weather-3.13.91-1.fc21, gobject-introspection-1.41.91-1.fc21, gsettings-desktop-schemas-3.13.92-1.fc21, gtk2-2.24.24-3.fc21, gtk3-3.13.8-1.fc21, gvfs-1.21.91-1.fc21, iagno-3.13.91-1.fc21, libappstream-glib-0.2.6-1.fc21, libgweather-3.13.91-1.fc21, libhif-0.1.3-1.fc21, libwnck3-3.4.9-1.fc21, lightsoff-3.13.91-1.fc21, mutter-3.13.91-1.fc21, nautilus-3.13.91-1.fc21, network-manager-applet-0.9.9.0-15.git20140424.fc21, orca-3.13.91-1.fc21, PackageKit-0.9.5-1.fc21, pango-1.36.7-1.fc21, pygobject3-3.13.91-1.fc21, quadrapassel-3.13.91-1.fc21, shared-mime-info-1.3-14.fc21, simple-scan-3.13.91-1.fc21, sound-juicer-3.13.91-1.fc21, tali-3.13.91-1.fc21, totem-3.13.92-1.fc21, vala-0.25.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Agu 2015-04-16 13:03:52 UTC
Similar issue persists in fedora 22, with nouveau driver.

(totem:2464): Gdk-ERROR **: The program 'totem' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadMatch (invalid parameter attributes)'.
  (Details: serial 766 error_code 8 request_code 72 (core protocol) minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the GDK_SYNCHRONIZE environment
   variable to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
`trap' para punto de parada/seguimiento (`core' generado)

Comment 5 Benjamin Xiao 2015-07-10 18:11:21 UTC
This is happening again in Fedora 22 with nvidia proprietary drivers. Need to update to Clutter 1.22.4

Comment 6 Peter Robinson 2015-07-10 19:18:04 UTC
(In reply to Benjamin Xiao from comment #5)
> This is happening again in Fedora 22 with nvidia proprietary drivers. Need
> to update to Clutter 1.22.4

What do you think this is?
https://admin.fedoraproject.org/updates/FEDORA-2015-10997/clutter-1.22.4-1.fc22,clutter-gtk-1.6.2-1.fc22


Note You need to log in before you can comment on or make changes to this bug.